---
id: 699f38937b053e4679878ff1
title: Step 3
challengeType: 1
dashedName: step-3
---

# --description--

When working with vanilla JavaScript, there is nothing to prevent you from calling the `square` function with a string or an array, which would lead to unexpected results.

To illustrate this, change your function call to use the string `"something"` instead of the number `5`.

In the next lesson, you will learn how to use TypeScript to add type safety to your code and prevent these kinds of errors.

# --hints--

Your `square` function call should have an argument of `"something"`.

```js
const explorer = await __helpers.Explorer(code);
assert.isTrue(explorer.variables.result.value.matches("square('something')"));
```

# --seed--

## --seed-contents--

```ts
function square(num) {
  return num * num;
}

--fcc-editable-region--
const result = square(5);
--fcc-editable-region--

console.log(result);
```

```json
{
  "compilerOptions": {
    "noCheck": true
  }
}
```
